import{s as W,n as X,o as Y}from"../chunks/scheduler.b108d059.js";import{S as Z,i as ee,g as s,s as l,r as te,A as ne,h as a,f as n,c as r,j as V,u as ie,x as o,k as J,y as se,a as i,v as le,d as ae,t as re,w as oe}from"../chunks/index.008de539.js";import{H as me}from"../chunks/Heading.88bfeb84.js";function pe(j){let m,E,x,L,p,H,f,q=`Text Embeddings Inference (TEI) is a comprehensive toolkit designed for efficient deployment and serving of open source
text embeddings models. It enables high-performance extraction for the most popular models, including FlagEmbedding, Ember, GTE, and E5.`,M,c,D="TEI offers multiple features tailored to optimize the deployment process and enhance overall performance.",I,u,R="<strong>Key Features:</strong>",P,d,F='<li><strong>Streamlined Deployment:</strong> TEI eliminates the need for a model graph compilation step for a more efficient deployment process.</li> <li><strong>Efficient Resource Utilization:</strong> Benefit from small Docker images and rapid boot times, allowing for true serverless capabilities.</li> <li><strong>Dynamic Batching:</strong> TEI incorporates token-based dynamic batching thus optimizing resource utilization during inference.</li> <li><strong>Optimized Inference:</strong> TEI leverages <a href="https://github.com/HazyResearch/flash-attention" rel="nofollow">Flash Attention</a>, <a href="https://github.com/huggingface/candle" rel="nofollow">Candle</a>, and <a href="https://docs.nvidia.com/cuda/cublas/#using-the-cublaslt-api" rel="nofollow">cuBLASLt</a> by using optimized transformers code for inference.</li> <li><strong>Safetensors weight loading:</strong> TEI loads <a href="https://github.com/huggingface/safetensors" rel="nofollow">Safetensors</a> weights to enable tensor parallelism.</li> <li><strong>Production-Ready:</strong> TEI supports distributed tracing through Open Telemetry and Prometheus metrics.</li>',y,g,U="<strong>Benchmarks</strong>",C,h,G='Benchmark for <a href="https://hf.co/BAAI/bge-large-en-v1.5" rel="nofollow">BAAI/bge-base-en-v1.5</a> on an NVIDIA A10 with a sequence length of 512 tokens:',k,v,O='<img src="assets/bs1-lat.png" width="400"/> <img src="assets/bs1-tp.png" width="400"/>',z,T,K='<img src="assets/bs32-lat.png" width="400"/> <img src="assets/bs32-tp.png" width="400"/>',A,b,N="<strong>Getting Started:</strong>",$,_,Q='To start using TEI, check the <a href="quick_tour">Quick Tour</a> guide.',S,w,B;return p=new me({props:{title:"Text Embeddings Inference",local:"text-embeddings-inference",headingTag:"h1"}}),{c(){m=s("meta"),E=l(),x=s("p"),L=l(),te(p.$$.fragment),H=l(),f=s("p"),f.textContent=q,M=l(),c=s("p"),c.textContent=D,I=l(),u=s("p"),u.innerHTML=R,P=l(),d=s("ul"),d.innerHTML=F,y=l(),g=s("p"),g.innerHTML=U,C=l(),h=s("p"),h.innerHTML=G,k=l(),v=s("p"),v.innerHTML=O,z=l(),T=s("p"),T.innerHTML=K,A=l(),b=s("p"),b.innerHTML=N,$=l(),_=s("p"),_.innerHTML=Q,S=l(),w=s("p"),this.h()},l(e){const t=ne("svelte-u9bgzb",document.head);m=a(t,"META",{name:!0,content:!0}),t.forEach(n),E=r(e),x=a(e,"P",{}),V(x).forEach(n),L=r(e),ie(p.$$.fragment,e),H=r(e),f=a(e,"P",{"data-svelte-h":!0}),o(f)!=="svelte-1t4rc21"&&(f.textContent=q),M=r(e),c=a(e,"P",{"data-svelte-h":!0}),o(c)!=="svelte-1afmapv"&&(c.textContent=D),I=r(e),u=a(e,"P",{"data-svelte-h":!0}),o(u)!=="svelte-dcww01"&&(u.innerHTML=R),P=r(e),d=a(e,"UL",{"data-svelte-h":!0}),o(d)!=="svelte-1prgb3v"&&(d.innerHTML=F),y=r(e),g=a(e,"P",{"data-svelte-h":!0}),o(g)!=="svelte-q2uj9l"&&(g.innerHTML=U),C=r(e),h=a(e,"P",{"data-svelte-h":!0}),o(h)!=="svelte-1rcc639"&&(h.innerHTML=G),k=r(e),v=a(e,"P",{"data-svelte-h":!0}),o(v)!=="svelte-2szjn1"&&(v.innerHTML=O),z=r(e),T=a(e,"P",{"data-svelte-h":!0}),o(T)!=="svelte-19mj7zl"&&(T.innerHTML=K),A=r(e),b=a(e,"P",{"data-svelte-h":!0}),o(b)!=="svelte-1hbycvq"&&(b.innerHTML=N),$=r(e),_=a(e,"P",{"data-svelte-h":!0}),o(_)!=="svelte-hvpjhg"&&(_.innerHTML=Q),S=r(e),w=a(e,"P",{}),V(w).forEach(n),this.h()},h(){J(m,"name","hf:doc:metadata"),J(m,"content",fe)},m(e,t){se(document.head,m),i(e,E,t),i(e,x,t),i(e,L,t),le(p,e,t),i(e,H,t),i(e,f,t),i(e,M,t),i(e,c,t),i(e,I,t),i(e,u,t),i(e,P,t),i(e,d,t),i(e,y,t),i(e,g,t),i(e,C,t),i(e,h,t),i(e,k,t),i(e,v,t),i(e,z,t),i(e,T,t),i(e,A,t),i(e,b,t),i(e,$,t),i(e,_,t),i(e,S,t),i(e,w,t),B=!0},p:X,i(e){B||(ae(p.$$.fragment,e),B=!0)},o(e){re(p.$$.fragment,e),B=!1},d(e){e&&(n(E),n(x),n(L),n(H),n(f),n(M),n(c),n(I),n(u),n(P),n(d),n(y),n(g),n(C),n(h),n(k),n(v),n(z),n(T),n(A),n(b),n($),n(_),n(S),n(w)),n(m),oe(p,e)}}}const fe='{"title":"Text Embeddings Inference","local":"text-embeddings-inference","sections":[],"depth":1}';function ce(j){return Y(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class he extends Z{constructor(m){super(),ee(this,m,ce,pe,W,{})}}export{he as component};
